package cz.vavru.test.dwr.service;

import java.util.List;

import cz.vavru.test.dwr.domain.Message;
import cz.vavru.test.dwr.domain.User;
import cz.vavru.test.dwr.service.exception.ChatServiceException;

/**
 * 
 * @author vlastimil@vavru.cz (http://vavru.cz)
 *
 */
public interface ChatService {
	public User getCurrentUser() throws ChatServiceException;
	public List<User> getOnlineUsers() throws ChatServiceException;
	public void addMessage(Message message) throws ChatServiceException;
	public List<Message> getMessages() throws ChatServiceException;
	public User login(String nick) throws ChatServiceException;
	public boolean logout() throws ChatServiceException;
}
